<?php 
include("includes/FCKeditor/fckeditor.php");
$file_name		= "index?page=view_product";
$form_action	= "insert";
$button_value 	= "Add";
$table_name 	= "enquiry_product";
$page_name      = "Add Product";
$id	 = "";
$vat = "";
$query_string = "";
################################################## START INSERT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'insert'){	
	utility::addslashesOnAllInput(array("query_string"));
	
	$id					= $_REQUEST['id'];
    $product 			= $_REQUEST['product'];
	$created_by			= $_SESSION['user_id'];
	$created_on			= date("Y-m-d H:i:s");	
	$updated_by			= $_SESSION['user_id'];
	
	$sql = "INSERT INTO $table_name(product, created_by, created_on, updated_by) VALUES ('".$product."', '".$created_by."', '".$created_on."', '".$updated_by."')";
    mysqli_query($conn,$sql);
	$tmp = ucfirst(str_replace("_"," ", $table_name));
	
	$_SESSION['info_message'] = "Product added sucessfully";
    header("Location: $file_name");
    exit();
}
################################################# END INSERT #################################################

################################################## START EDIT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit'){	
	$id = $_REQUEST['id'];

	$form_action 	= "update";
	$button_value 	= "Update";
	$page_name      = "Edit Product";
	$query_string 	=  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
	
	
    $sql= "SELECT * FROM $table_name WHERE id = $id";
    $result_edit = mysqli_query($conn,$sql);
    $row_edit = mysqli_fetch_array($result_edit);

	$product 	= $row_edit['product']; 
}
################################################# END EDIT ################################################# 


################################################## START UPDATE ################################################## 
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'update'){    
	utility::addslashesOnAllInput(array("query_string"));
	 
	$id					= $_REQUEST['id'];
	$product 			= $_REQUEST['product'];	
	$updated_by			= $_SESSION['user_id'];
	
	$sql = "UPDATE $table_name SET product = '$product', updated_by = '$updated_by' WHERE id = $id";
    mysqli_query($conn,$sql);
	
	$query_string = (isset($_REQUEST['query_string']) && !empty($_REQUEST['query_string'])) ? $_REQUEST['query_string'] : "";
  	$query_string = str_ireplace("page=add_product", "page=view_product", $query_string);
	$query_string = "&".$query_string;
	$tmp = ucfirst(str_replace("_"," ", $table_name));
	
	$_SESSION['info_message'] = "Product updated sucessfully";
    header("Location: $file_name$query_string");
    exit();
}
################################################# END UPDATE ################################################# 
?>
<style>
em{color:red;font-size: 20px;position: absolute;}
</style>
<section class="content-header">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-6">
				<h1><?=$page_name;?></h1>
			</div>
		</div>
	</div>
</section>
<section class="content">
	<div class="row">
		<div class="col-lg-12">
			<!-- general form elements -->
              <div class="card box-primary">
                <form class="form-horizontal" method="post" name="form1" id="form1" action="index?page=add_product&action=<? echo $form_action; ?>" onsubmit="return validateForm(this)" enctype="multipart/form-data">
                  <div class="card-body">
                    <div class="form-group">
                      <label for="product" class="col-sm-2 control-label">Product<em>*</em></label>
                      <div class="col-sm-10">
                        <input type="text" id="product" name="product" value="<?php echo $product;?>" class="form-control" placeholder="product" required>
						<span style="inline:block;color:red;display:none;" id="product_check"></span>
                      </div>
                    </div>
                  </div><!-- /.box-body -->
                  <div class="card-footer">
					<input type="hidden" id="id" name="id" value="<?php echo $id;?>">
					<input type="hidden" id="query_string" name="query_string" value="<?php echo $query_string;?>">
                    <button type="submit" id="submit" name="submit" value="<?php echo $button_value;?>" class="btn btn-primary">Submit
						<i class="fas fa-sync-alt fa-spin" style="display:none;" id="page_load_div"></i>
					</button>
                  </div>
                </form>
              </div><!-- /.box -->
		</div>
	</div>
</section>
<script type="text/javascript">
$(document).ready(function(){
	$("#form1").submit(function() {
		$("#submit").attr("disabled", true);
		$('#page_load_div').show();
		//return true;
	});
	$("#form1").on("blur","#product",function(){	
		var product = $(this).val();
		var product = $("#product").val();
		var id = $("#id").val();
		if(product != ""){
		
		var form_data   = {'product':product,'id':id};       
			$.ajax({
				async: false,
				type: "POST",
				url: site_url+"/modules/product_management/index.php?page=ajax_actions&action=check_product_exist",
				data: form_data,
				success: function(result){          
					var resultObj = jQuery.parseJSON(result); 
					if(resultObj.status == "failure"){
						//alert("This product already in system");
						$("#product_check").show();
						$("#product_check").html("This product already in system.");
						//$("#email").val("");
						$("#product").focus();
					}else{
						$("#product_check").html("");
						$("#product_check").hide();
					}
				}
			});
		}
	});
});
</script>